PDA

View Full Version : My ExtJS install broke ?!



Scorpie
13 Sep 2008, 5:36 AM
Hi all,

Yesterday I was working on my project when all of a sudden my ExtJS include failed.
12 hours later i`m stumped at what the problem is; the examples arent working either!

You can see the errors here: http://82.169.47.118/ext-2.2/examples/grid/edit-grid.html (http://82.169.47.118/ext-2.2/examples/grid/edit-grid.html)

As you can see I get 3 errors, but the first one is responsible for the others.
No matter which example you try, they are all broke. I`ve reinstalled ExtJS 5 times now, reinstalled Apache a couple of times, even formatted the drive where the documentroot of apache points to, all to no avail.

What the heck is wrong with my system ? :-/:-/:-/:-/

evant
13 Sep 2008, 5:45 AM
I don't see any errors in FireBug.

The only issue seems to be that it can't find GroupingView.js.

mjlecomte
13 Sep 2008, 5:52 AM
I see the 3 errors.

Look at your ext-all.js file. Somehow you've corrupted it, some of the code repeats, look at the licensing block for indication.

Scorpie
13 Sep 2008, 5:53 AM
I don't see any errors in FireBug.

The only issue seems to be that it can't find GroupingView.js.

Thats weird; i get this screenshot:

http://www.extjs-source.nl/help/error.jpg

I don`t get it, whats going wrong?

evant
13 Sep 2008, 5:58 AM
Yeah, it looks like your ext-all is clobbered. DomHelper is defined like 5 or 6 times.

Try redownloading it.

Scorpie
13 Sep 2008, 6:05 AM
Yeah, it looks like your ext-all is clobbered. DomHelper is defined like 5 or 6 times.

Try redownloading it.

I tried that, 4 times! No luck whatsoever :(

evant
13 Sep 2008, 6:21 AM
Ok... well, look at ext-all.js

It's not right. So whatever you're doing is causing that to happen.

Scorpie
13 Sep 2008, 6:22 AM
I think my Apache install is corrupt; the file gets served via Apache -> corrupt
Local file is ok.

Weird...

Scorpie
13 Sep 2008, 7:43 AM
*UPDATE*

Solved using http://extjs.com/forum/archive/index.php/t-7424.html as a reference.
Basically you need to put 3 directives in your apache httpd.conf.

Thanks everybody!

13 Sep 2008, 8:52 AM
Apache on windows - do you have to? Why not use linux/freebsd?

Scorpie
13 Sep 2008, 9:18 AM
Apache on windows - do you have to? Why not use linux/freebsd?

I`m not that into linux/freebsd :)